<?php
include("../custom/config.php"); // fichier de config
include($GLOBALS['root']."includes/inc-functions.php");
?>
<div id="main-editor-tools" class="clearfix">
    <div class='editor-tools-right'><a class='tool-button small-carefull' title='delete' href='javascript:cache_colonne_display();'>Cancel <i class='fa fa-chevron-right fa-fw'></i></a>
    </div>
</div>
<article>
    <?php

    
    $action=array(
        "titre"=>"Ajouter des items",
        "submit"=>"Ajouter les items",
        "traitement"=>"import_images",
        "addtop"=>"<div class='cadre-info'>Placez les images dans un dossier \"upload\" puis validez le formulaire.<br>Les informations entrées ci-dessous seront ajoutées à tous les documents</div>",
        "addbottom"=>""
    );
    echo deployer_formulaire_item("",$action);
    
    
    ?>
</article>

<script>
    $('.form form').on('submit', function(e) {

        var $this = $(this); // L'objet jQuery du formulaire
        $this.append("<input type='hidden' name='import_images' value='oui'>");
        e.preventDefault(); // J'empêche le comportement par défaut du navigateur, c-à-d de soumettre le formulaire

        var formData = new FormData($(this)[0]);

        // Envoi de la requête HTTP en mode asynchrone
        $.ajax({
            url: "ajax/ajax-forms.php", // Le nom du fichier indiqué dans le formulaire
            type: "post", // La méthode indiquée dans le formulaire (get ou post)
            data: formData, //$this.serialize(), // Je sérialise les données (j'envoie toutes les valeurs présentes dans le formulaire)
            async: false,
            cache: false,
            contentType: false,
            processData: false,
            success: function(html) { // Je récupère la réponse du fichier PHP : l'adresse du fichier
            $("#main-list").append(html);
            quicksearch.cache();
            //item_vignette_ajouter(html);
            cache_colonne_display();
        }
               });
    });
</script>
